/**
 * Copyright 1998-2007, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */
package ca.uvic.csr.shrimp.gui.ShrimpView;

import java.awt.BorderLayout;

import javax.swing.JButton;
import javax.swing.JPanel;

import ca.uvic.csr.shrimp.adapter.ChangeCPRelAdapter;
import ca.uvic.csr.shrimp.util.CollectionUtils;


/**
 * 
 * 
 * @author Chris Callendar
 * @date 26-Oct-06
 */
public class CPRelsPanel extends JPanel {
	
    private final static int MAX_BTN_TEXT_LENGTH = 50;
    private final static String ELLIPSES = " ...";
    
	private ShrimpView shrimpView;
	private JButton btnChangeCprels;
	
	public CPRelsPanel(ShrimpView shrimpView, ChangeCPRelAdapter changeCPRelAdapter) {
		super(new BorderLayout());
		this.shrimpView = shrimpView;
		
		btnChangeCprels = new JButton();
		btnChangeCprels.setAction(changeCPRelAdapter);
		setBtnCprelsText();
		add(btnChangeCprels, BorderLayout.CENTER);
		shrimpView.addShrimpViewListener(new ShrimpViewAdapter() {
			public void shrimpViewCprelsChanged(ShrimpViewCprelsChangedEvent event){
				setBtnCprelsText();				
			}
		});
	}
			
	private void setBtnCprelsText() {
        String btnText = "";
        String tooltipText = "";
		String[] cprels = shrimpView.getCprels();
		if (cprels.length == 0) {
            btnText = "No Hierarchy";
            tooltipText = "No Hierarchy";
		} else {
            btnText = "Hierarchy: ";
            tooltipText = "Hierarchy: ";
			boolean inverted = shrimpView.isInverted();
            btnText += CollectionUtils.arrayToString(cprels);
            tooltipText += CollectionUtils.arrayToString(cprels);
            // truncate the button text if neccessary so the button doesn't get ridiculously long
            if (btnText.length() > MAX_BTN_TEXT_LENGTH) {
                btnText = btnText.substring(0, MAX_BTN_TEXT_LENGTH - ELLIPSES.length());
                btnText += ELLIPSES;
            }
			if (inverted) {
                btnText += " (inverted)";
                tooltipText += " (inverted)";
			}
		}
		btnChangeCprels.setText(btnText);
		btnChangeCprels.setToolTipText(tooltipText);
	} 		

}
